/*
 Navicat Premium Data Transfer

 Source Server         : jiedao-uat
 Source Server Type    : MySQL
 Source Server Version : 80031 (8.0.31)
 Source Host           : 159.75.224.138:2297
 Source Schema         : jiedao

 Target Server Type    : MySQL
 Target Server Version : 80031 (8.0.31)
 File Encoding         : 65001

 Date: 18/10/2024 09:29:09
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ecw_reward_redeem
-- ----------------------------
DROP TABLE IF EXISTS `ecw_reward_redeem`;
CREATE TABLE `ecw_reward_redeem`  (
  `id` bigint NOT NULL COMMENT '主键',
  `redemption_number` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '兑换记录编号',
  `member_id` bigint NOT NULL COMMENT '会员id',
  `reward_id` bigint NOT NULL COMMENT '礼品id',
  `status` int NULL DEFAULT NULL COMMENT '兑换状态',
  `hold_score_before_redeem` int NULL DEFAULT 0 COMMENT '兑换前持有的积分',
  `score_count` int NOT NULL COMMENT '积分数量',
  `reward_count` int NOT NULL COMMENT '兑换数量',
  `redeem_type` int NOT NULL COMMENT '兑换方式',
  `entrance` int NOT NULL COMMENT '兑换入口',
  `expenses` decimal(10, 2) NULL DEFAULT NULL COMMENT '费用',
  `currency` int NULL DEFAULT NULL COMMENT '费用币种',
  `recipient_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '收件人姓名',
  `recipient_phone_num` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT '' COMMENT '收件人电话',
  `recipient_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '收件人地址',
  `redeemer` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '兑换人',
  `redemption_time` datetime NULL DEFAULT NULL COMMENT '兑换时间',
  `courier_company` int NULL DEFAULT NULL COMMENT '快递公司',
  `express_no` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '快递单号',
  `express_date` datetime NULL DEFAULT NULL COMMENT '快递日期',
  `express_sender` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '快递寄出人',
  `annex` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '上传附件',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '备注',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `deleted` tinyint(1) NULL DEFAULT 0 COMMENT '是否删除',
  `verify_user` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '核销人',
  `verify_time` datetime NULL DEFAULT NULL COMMENT '核销时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
